Skip to main content
GET
/
api
/
v1
/
endpoints
List Endpoints
curl --request GET \
  --url https://api.example.com/api/v1/endpoints
{
  "items": [
    {
      "id": "<string>",
      "account_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "path": "<string>",
      "method": "<string>",
      "auth_required": true,
      "condition": "<string>",
      "actions": [
        {}
      ],
      "response_template": {},
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>"
    }
  ],
  "total": 123
}

Query Parameters

method
string | null

Filter by HTTP method

enabled
boolean | null

Filter by enabled status

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Paginated list of custom endpoints.

items
EndpointResponse · object[]
required
total
integer
required